﻿using System;
using System.Windows.Forms;

namespace LargeArray {
  public partial class Form1 : Form {
    public Form1() {
      InitializeComponent();
    }

    private void Form1_Load(
      object sender, EventArgs e) {

      string[] sizes = new string[]{
        "10000000", "100000000", "300000000", 
        "400000000", "500000000","600000000", 
        "1000000000", "2000000000", "2200000000"};
      foreach (string size in sizes)
        comboBoxSize.Items.Add(size);
      comboBoxSize.SelectedIndex = 0;
    }

    private void buttonExecute_Click(
      object sender, EventArgs e) {

      uint arraySize = uint.Parse(comboBoxSize.Text);
      int[] array1 = new int[arraySize];
      for (int i = 0; i < arraySize; i++)
        array1[i] = i;
      MessageBox.Show(sizeof(int) *
        (arraySize / (1024 * 1024)) +
        "メガバイトの配列を作りました");
    }
  }
}

