﻿using System;

namespace Person {
  public class Person {
    public string Name;
    public DateTime Birthday;

    public Person(string name, 
      DateTime birthday) {
      
      Name = name;
      Birthday = birthday;
    }

    public int GetAge() {
      DateTime dt = DateTime.Now;
      return ((dt.Year * 10000 + 
        dt.Month * 100 + dt.Day) -
        (Birthday.Year * 10000 + 
        Birthday.Month * 100 + 
        Birthday.Day)) / 10000;
    }
  }
}
