﻿<!DOCTYPE html>
<html lang="ja">
    <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta charset="utf-8" />
        <title>@ViewData("Title") - マイ ASP.NET MVC アプリケーション</title>
        <link href="~/favicon.ico" rel="shortcut icon" type="image/x-icon" />
        <meta name="viewport" content="width=device-width" />
        @Styles.Render("~/Content/css")
        @Scripts.Render("~/bundles/modernizr")
    </head>
    <body>
        <header>
            <div class="content-wrapper">
                <div class="float-left">
                    <p class="site-title">@Html.ActionLink("ここにロゴを入れてください", "Index", "Home")</p>
                </div>
                <div class="float-right">
                    <section id="login">
                       こんにちは、<span class="username">@User.Identity.Name</span> さん!
                    </section>
                    <nav>
                        <ul id="menu">
                            <li>@Html.ActionLink("ホーム", "Index", "Home")</li>
                            <li>@Html.ActionLink("バージョン情報", "About", "Home")</li>
                            <li>@Html.ActionLink("連絡先", "Contact", "Home")</li>
                        </ul>
                    </nav>
                </div>
            </div>
        </header>
        <div id="body">
            @RenderSection("featured", required:=false)
            <section class="content-wrapper main-content clear-fix">
                @RenderBody()
            </section>
        </div>
        <footer>
            <div class="content-wrapper">
                <div class="float-left">
                    <p>&copy; @DateTime.Now.Year - マイ ASP.NET MVC アプリケーション</p>
                </div>
            </div>
        </footer>

        @Scripts.Render("~/bundles/jquery")
        @RenderSection("scripts", required:=False)
    </body>
</html>
